require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module Fairpay2
    module BusinessCase

      # Value object representing data of daily, weekly, monthly sums outgoing transactions of Client Account Business Case entity.
      class ClientAccountBusinessCaseSums < UU::OS::REST::DTO

        # Outgoing transactions amounts sum for current day.
        # @param [Fixnum]
        # @return [Fixnum]
        attr_accessor :daily_sum

        # Outgoing transactions amounts sum for last 7 days.
        # @param [Fixnum]
        # @return [Fixnum]
        attr_accessor :weekly_sum

        # Outgoing transactions amounts sum for last 30 days.
        # @param [Fixnum]
        # @return [Fixnum]
        attr_accessor :monthly_sum



        def daily_sum
          attributes[:dailySum]
        end

        def daily_sum=(val)
          attributes[:dailySum] = val
        end


        def weekly_sum
          attributes[:weeklySum]
        end

        def weekly_sum=(val)
          attributes[:weeklySum] = val
        end


        def monthly_sum
          attributes[:monthlySum]
        end

        def monthly_sum=(val)
          attributes[:monthlySum] = val
        end

      end
    end
  end
end

